<!DOCTYPE html>
<!--HTML based on https://www.w3schools.com/howto/howto_css_blog_layout.asp-->
<html>
    <head>
        <title>CA4017 Group 7</title>
        <link href="../style.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <div class="header">
        <h2>Group 7 - CA4017 Blogs</h2>
        </div>
        <div class="row">
            <div class="leftcolumn">
                <div class="card">
                    <h2>Research and Planning</h2>
                    <h5>Blog 1, 22 March, 2020</h5>
                    <p>Earlier this week Claire, Cailean, Vilus and I (Catrina) had a virtual meeting to discuss our project and split up the work.
                    The project requires us to use an IoT sensor and display the results via the web. 
                    We had a productive discussion about the options of projects that are available to us either using the sensors on a phone as an IoT device or using another IoT device like a Micro:bit, geuino board or raspberry pi. </p>
                    <p>Vilius followed a tutorial about how to exploit the sensors of a <a href="https://dzone.com/articles/how-to-exploit-all-sensors-of-your-mobile-phone-as-1">mobile phone as an IoT device.</a> While it seemed like a promising option at first as he was able to install the app on his phone, it seems like the tutorial may be out of date as he couldn't get it to work. </p>
                    <p>I tried to work through the <a href="https://www.elecfreaks.com/store/blog/post/how-to-send-microbit-data-to-iot-platform.html">Micro:bit tutorial</a> but unfortunately faced similar issues. While I was impressed by how easy it was to use the Micro:bit temperature sensor, a lot of the blocks used in the tutorial have changed and I wasn't able to get the data to upload to ThingSpeak.</p>
                    <p>Vilius and I are planning to continue searching for alternative tutorials to find the best option for our project. Cailean and Claire are researching website and database options for this project. As we can't meet in person anymore, we're aiming to have three calls a week as a group to make sure that the project keeps progressing.</p>
                </div>
            </div>
        </div>
        
        <div class="row">
            <div class="leftcolumn">
                <div class="card">
                    <h2>Research and Planning</h2>
                    <h5>Blog 2, 06 April, 2020</h5>
                    <p>This week I (Vilius) tried to complete the tutorial Ray Walshe provided us, unfortunately I found the tutorial to be badly outdated and no longer feasible. After much research I found an IBM thread which seemed to create the same results. I followed through the tutorials and after a couple of days I was able to visualise sensor data from my phone on my pc. To do this I created a Node Red Starter Application linked to a IOT Platform Service which allowed me to use the IBM Watson IOT Platform to send and receive data from the IOT Starter mobile app which my phone was running. The data stored on the IBM cloud was then visualised by a IBM Cloud App Visualiser.</p>
                    <p>Catrina was working with a raspberry pi zero and a microbit. She was able to get the microbit to output temperature and light level data to serial and view it in the terminal and on it's screen. On the raspberry pi zero Catrina was able to output it's CPU data and upload it to ThingSpeak with a python script. She wasn't however yet able to upload data from the microbit serial output to ThingSpeak.</p>
                    <p>Claire and Cailean continued to focus on the Cloud Computing research and project. They are also going to start working on our presentation for this project. We held a meeting and discussed our progress as a group. </p>
                </div>
            </div>
        </div>
        
        <div class="row">
            <div class="leftcolumn">
                <div class="card">
                    <h2>Implementation & Deployment</h2>
                    <h5>Blog 3, 22 April, 2020</h5>
                    <p>Over the last 2 weeks we've made a lot of progress with the project. Vilius successfully completed <a href="https://developer.ibm.com/technologies/iot/tutorials/iot-mobile-phone-iot-device-bluemix-apps-trs/#step2_6">this tutorial</a> and got his phone sensors sending real time data to the app which was then hosted on IBM cloud</p>
                    <p>Catrina was not able to upload data from the microbit serial output to ThingSpeak, so she worked alongside Vilius in completing the app and cloud deployment</p>
                    <p>We organised a group call where Vilius set tried to set up all of our devices on the app. Cailean, Vilius and Catrina were all able to connect and test the app. Claire was unable to get the Android app on her iphone and was unable to send test data</p>
                    <p>In this call we discussed the best way to split the work for the project demo. Claire & Cailean completed the presentation.</p>
            </div>
        </div>
                <div class="row">
            <div class="leftcolumn">
                <div class="card">
                    <h2>Finishing up</h2>
                    <h5>Blog 4, 23 April, 2020</h5>
                    <p>Catrina and Claire are recording the IOT presentation.</p>
                    <p>Cailean has made a screen recording of Catrina, Vilius and his phones sending data to the web app.</p>
                    <p>Vilius has made a screen recording showcasing the back-end of the IOT project.</p>
                    <p>Catrina has then compiled a demonstration video from the several video files.</p>
                    <p>Everyone has reviewed the project and said they are happy with submitting.</p>
            </div>
        </div>

        
        

        <div class="footer">
          <a href="https://catrina.carrigan4.gitlab.io/group7-ca4106-ca4017-blogs/">Home</a>
          <a href="https://gitlab.com/catrina.carrigan4/group7-ca4106-ca4017-blogs">Blog Repository</a>
        </div>
    </body>
</html>